package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiHollandStepsMapper;
import com.ruoyi.syzy.domain.BBusiHollandSteps;
import com.ruoyi.syzy.service.IBBusiHollandStepsService;

/**
 * 霍兰德测评步骤Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@Service
public class BBusiHollandStepsServiceImpl implements IBBusiHollandStepsService {
    @Autowired
    private BBusiHollandStepsMapper bBusiHollandStepsMapper;

    /**
     * 查询霍兰德测评步骤
     * 
     * @param id 霍兰德测评步骤ID
     * @return 霍兰德测评步骤
     */
    @Override
    public BBusiHollandSteps selectBBusiHollandStepsById(Long id) {
        return bBusiHollandStepsMapper.selectBBusiHollandStepsById(id);
    }

    /**
     * 查询霍兰德测评步骤列表
     * 
     * @param bBusiHollandSteps 霍兰德测评步骤
     * @return 霍兰德测评步骤
     */
    @Override
    public List<BBusiHollandSteps> selectBBusiHollandStepsList(BBusiHollandSteps bBusiHollandSteps) {
        return bBusiHollandStepsMapper.selectBBusiHollandStepsList(bBusiHollandSteps);
    }

    /**
     * 新增霍兰德测评步骤
     * 
     * @param bBusiHollandSteps 霍兰德测评步骤
     * @return 结果
     */
    @Override
    public int insertBBusiHollandSteps(BBusiHollandSteps bBusiHollandSteps) {
        return bBusiHollandStepsMapper.insertBBusiHollandSteps(bBusiHollandSteps);
    }

    /**
     * 修改霍兰德测评步骤
     * 
     * @param bBusiHollandSteps 霍兰德测评步骤
     * @return 结果
     */
    @Override
    public int updateBBusiHollandSteps(BBusiHollandSteps bBusiHollandSteps) {
        return bBusiHollandStepsMapper.updateBBusiHollandSteps(bBusiHollandSteps);
    }

    /**
     * 批量删除霍兰德测评步骤
     * 
     * @param ids 需要删除的霍兰德测评步骤ID
     * @return 结果
     */
    @Override
    public int deleteBBusiHollandStepsByIds(Long[] ids) {
        return bBusiHollandStepsMapper.deleteBBusiHollandStepsByIds(ids);
    }

    /**
     * 删除霍兰德测评步骤信息
     * 
     * @param id 霍兰德测评步骤ID
     * @return 结果
     */
    @Override
    public int deleteBBusiHollandStepsById(Long id) {
        return bBusiHollandStepsMapper.deleteBBusiHollandStepsById(id);
    }
}
